LASi::setFont Class Reference

stream manipulator applied to oPostscriptStream. More...

`#include <LASi.h>`

## Public Member Functions

| setFont (const char *const family="sans", const LASi::FontStyle style=LASi::NORMAL_STYLE, const LASi::FontWeight weight=LASi::NORMAL_WEIGHT, const LASi::FontVariant variant=LASi::NORMAL_VARIANT, const LASi::FontStretch stretch=LASi::NORMAL_STRETCH)
| Usage: os << setFont("Vera Sans",LASi::ITALIC,LASi::BOLD) << ... More...

## Protected Member Functions

void | apply (oPostscriptStream &os) const

## Friends

oPostscriptStream & | operator<< (oPostscriptStream &os, const setFont &x)
| Stream inserter for 'setFont' stream manipulator. More...

## Detailed Description

stream manipulator applied to oPostscriptStream.

## Constructor & Destructor Documentation

## setFont()

LASi::setFont::setFont | ( | const char *const | family = `"sans"`,
|  | const LASi::FontStyle | style = `LASi::NORMAL_STYLE`,
|  | const LASi::FontWeight | weight = `LASi::NORMAL_WEIGHT`,
|  | const LASi::FontVariant | variant = `LASi::NORMAL_VARIANT`,
|  | const LASi::FontStretch | stretch = `LASi::NORMAL_STRETCH`
| ) |  |

inline

Usage: os << setFont("Vera Sans",LASi::ITALIC,LASi::BOLD) << ...

## Member Function Documentation

## apply()

void LASi::setFont::apply | ( | oPostscriptStream & | os | ) | const

inline protected

References LASi::oPostscriptStream::doc(), and LASi::PostscriptDocument::setFont().

## Friends And Related Function Documentation

## operator<<

oPostscriptStream& operator<< | ( | oPostscriptStream & | os,
|  | const setFont & | x
| ) |  |

friend

Stream inserter for 'setFont' stream manipulator.

The documentation for this class was generated from the following file:

- LASi.h